Delete the name and avatar for this profile.
curl --request DELETE \
--url https://api.clicker.xyz/v1/profiles/{identifier}/name \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clicker.xyz/v1/profiles/{identifier}/name"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clicker.xyz/v1/profiles/{identifier}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123
},
"isNSFW": false,
"externalId": "<string>"
}{
"error": "<string>"
}Profiles
Profile Name
Deletes the name and avatar for this profile.
DELETE
/
v1
/
profiles
/
{identifier}
/
name
Delete the name and avatar for this profile.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Profile UUID or wallet address
Response
200
URLs for different size squares.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
false when the profile is clean. Otherwise an object with nsfwImage and nsfwText booleans indicating which axes the scanner flagged. Clients decide whether to render, censor, or hide the underlying content.
Available options:
false ⌘I